Bug 43567 - cannot telnet out of 7.1 machine
cannot telnet out of 7.1 machine
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-06-05 12:43 EDT by John P Rogate
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-12 10:48:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John P Rogate 2001-06-05 12:43:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
new red hat 7.1 installation.  able to telnet into machine fine.  except 
for the red hat machine itself...cannot telnet out to any machine (by name 
or ip address).  can ping any machine by its name or ip address, but when 
trying to telnet out get "no route to host message".  similar machine 
running 7.0 has no problem.  network card running fine, netscape running 
fine, ping running fine, network parameters set up fine.  default search 
hosts, dns.  person in office next door having similar issue.  we give 
up!  any clues?  basically cannot telent to any machine other than the 
local machine (but can telnet in fine).

How reproducible:

Steps to Reproduce:
1.  telnet
2.  open hostname (or ip)
3.  no route to host message

Actual Results:  still cannot telnet out...though can ping to the machine.

Expected Results:  login prompt from remote machine

Additional info:
Comment 1 Need Real Name 2001-06-05 17:06:26 EDT
I, too, have this problem. I telnet out and get a message that I am connected to 
the host machine, it sits for several seconds, and then says that the 
remote host closes the connection. I am never asked to logon...

Comment 2 Harald Hoyer 2001-06-06 05:19:23 EDT
kumquat@sover.net: This sounds like /etc/hosts.allow is denying your 
connection. You may check /var/log/secure and /var/log/messages.
Comment 3 John P Rogate 2001-06-12 10:48:12 EDT
this has absolutely nothing to do with hosts.allow....

like i said...i can telnet to the machine from anywhere (in the world).  cannot 
telnet out to anywhere (in the world).  can telnet out from any other machine.
Comment 4 Harald Hoyer 2001-06-18 09:12:04 EDT
No problems here. Are you sure you do not have any firewall settings on 
your local machines? ipchains -L ???
$ sudo rpm -ivh 
$ telnet hamburg
Connected to hamburg.stuttgart.redhat.com (
Escape character is '^]'.
Red Hat Linux release 7.0.91 (Wolverine)
Kernel 2.4.5-0.2.9 on an i686

Note You need to log in before you can comment on or make changes to this bug.